import VueI18n from 'vue-i18n';
import Vue from 'vue';

declare module 'vue/types/vue' {
  interface Vue {
    $t: VueI18n;
    $i18n: VueI18n;
  }
}

declare module 'vue/types/options' {
  interface ComponentOptions<V extends Vue> {
    i18n?: VueI18n;
  }
}
